apiVersion: argoproj.io/v1alpha1
kind: AppProject
metadata:
  name: abc
  namespace: argocd
  finalizers:
  - resources-finalizer.argocd.argoproj.io
spec:
  clusterResourceWhitelist:
  - group: '*'
    kind: '*'
  namespaceResourceWhitelist:
  - group: '*'
    kind: '*'
  description: abc Team AppProject
  destinations:
  - name: in-cluster
    namespace: argocd
    server: https://kubernetes.default.svc
  - name: in-cluster
    namespace: abc
    server: https://kubernetes.default.svc
  roles:
  - name: admin
    description: admin privileges to abc
    groups:
    - <some-group>
    policies:
    - p, proj:abc:admin, applications, *, abc/*, allow
  - name: readonly
    description: Read-only privileges to abc
    groups:
    - <some-group>
    policies:
    - p, proj:abc:readonly, applications, get, abc/*, allow
  sourceRepos:
  - https://github.com/xiexianbin/k8s-manifests.git
